#ifndef LRC_PARSER_H
#define LRC_PARSER_H

#include <QList>
#include <QString>

struct LrcLine {
    int timeMs; // 时间戳（毫秒）
    QString text; // 歌词文本
};

class LrcParser {
public:
    QList<LrcLine> parseLrc(const QString &filePath);
private:
    int timeStrToMs(const QString &timeStr);
};

#endif // LRC_PARSER_H
